declare namespace _default {
    /**
     * Set the device's UI appearance style
     *
     * @since iOS 12.0
     * @param {'dark'|'light'} style - The appearance style to set
     * @throws {Error} if the current platform does not support UI appearance changes
     * @this {XCUITestDriver}
     */
    function mobileSetAppearance(this: import("../driver").XCUITestDriver, style: "dark" | "light"): Promise<undefined>;
    /**
     * Get the device's UI appearance style.
     *
     * @since Xcode SDK 11
     * @returns {Promise<{style: Style}>}
     * @this {XCUITestDriver}
     */
    function mobileGetAppearance(this: import("../driver").XCUITestDriver): Promise<{
        style: import("./types").Style;
    }>;
}
export default _default;
export type XCUITestDriver = import('../driver').XCUITestDriver;
export type Style = import('./types').Style;
//# sourceMappingURL=appearance.d.ts.map