declare namespace _default {
    /**
     * Sets the primary clipboard's content on the device under test.
     *
     * @param {string} content - The content to be set as base64 encoded string.
     * @param {string} [contentType=plaintext] - The type of the content to set.
     *                                            Only `plaintext`, 'image and 'url' are supported.
     * @this {XCUITestDriver}
     */
    function setClipboard(this: import("../driver").XCUITestDriver, content: string, contentType?: string | undefined): Promise<void>;
    /**
     * Gets the content of the primary clipboard on the device under test.
     *
     * @param {string} [contentType=plaintext] - The type of the content to get.
     *                                            Only `plaintext`, 'image and 'url' are supported.
     * @returns {Promise<string>} The actual clipboard content encoded into base64 string.
     * An empty string is returned if the clipboard contains no data.
     * @this {XCUITestDriver}
     */
    function getClipboard(this: import("../driver").XCUITestDriver, contentType?: string | undefined): Promise<string>;
}
export default _default;
export type XCUITestDriver = import('../driver').XCUITestDriver;
//# sourceMappingURL=clipboard.d.ts.map