declare namespace _default {
    /**
     * Returns the miscellaneous information about the device under test.
     *
     * Since XCUITest driver v4.2.0, this includes device information via lockdown in a real device.
     *
     * @returns {Promise<DeviceInfo | (DeviceInfo & LockdownInfo)>} The response of `/wda/device/info'`
     * @this {import('../driver').XCUITestDriver}
     */
    function mobileGetDeviceInfo(this: import("../driver").XCUITestDriver): Promise<import("./types").DeviceInfo | (import("./types").DeviceInfo & import("./types").LockdownInfo)>;
}
export default _default;
export type DeviceInfo = import('./types').DeviceInfo;
export type LockdownInfo = import('./types').LockdownInfo;
//# sourceMappingURL=deviceInfo.d.ts.map