"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importDefault(require("lodash"));
const utils_1 = require("../utils");
const assertSimulator = lodash_1.default.partial(utils_1.assertSimulator, 'Keychain modification');
exports.default = {
    /**
     * Clears keychains on a simulated device.
     *
     * @throws {Error} If current device is not a Simulator or there was an error
     * while clearing keychains.
     * @this {import('../driver').XCUITestDriver}
     * @group Simulator Only
     */
    async mobileClearKeychains() {
        assertSimulator(this);
        await /** @type {import('../driver').Simulator} */ (this.device).clearKeychains();
    },
};
//# sourceMappingURL=keychains.js.map