declare namespace _default {
    /**
     * @this {XCUITestDriver}
     */
    function back(this: import("../driver").XCUITestDriver): Promise<void>;
    /**
     * @this {XCUITestDriver}
     */
    function forward(this: import("../driver").XCUITestDriver): Promise<void>;
    /**
     * @this {XCUITestDriver}
     */
    function closeWindow(this: import("../driver").XCUITestDriver): Promise<any>;
    /**
     * Opens the given URL with the default application assigned to handle it based on the URL
     * scheme, or the application provided as an optional parameter
     *
     * (Note: the version of Xcode must be 14.3+ and iOS must be 16.4+)
     *
     * @param {string} url - the URL to be opened, e.g. `myscheme://yolo`
     * @param {string} [bundleId] - the application to open the given URL with. If not provided, then
     * the application assigned by the operating system to handle URLs of the appropriate type
     * @returns {Promise<void>}
     * @since 4.17
     * @this {XCUITestDriver}
     */
    function mobileDeepLink(this: import("../driver").XCUITestDriver, url: string, bundleId?: string | undefined): Promise<void>;
    /**
     * @this {XCUITestDriver}
     */
    function nativeBack(this: import("../driver").XCUITestDriver): Promise<unknown>;
}
export default _default;
export type XCUITestDriver = import('../driver').XCUITestDriver;
export type DeepLinkOptions = {
    /**
     * The URL to be opened. This parameter is manadatory
     */
    url: string;
    /**
     * The bundle identifier of an application to open the
     * given url with. If not provided then the default application for the given url scheme
     * is going to be used.
     */
    bundleId: string | null;
};
//# sourceMappingURL=navigation.d.ts.map