declare namespace _default {
    /**
     * Sets the Simulator's pasteboard content to the given value.
     *
     * Does not work for real devices.
     * @param {string} content - The content to set
     * @param {string} encoding - The content's encoding
     * @group Simulator Only
     * @returns {Promise<void>}
     * @this {XCUITestDriver}
     */
    function mobileSetPasteboard(this: import("../driver").XCUITestDriver, content: string, encoding?: string): Promise<void>;
    /**
     * Gets the Simulator's pasteboard content.
     *
     * Does not work for real devices.
     * @param {string} encoding - Expected encoding of returned string
     * @group Simulator Only
     * @this {XCUITestDriver}
     * @returns {Promise<string>} The pasteboard content string
     */
    function mobileGetPasteboard(this: import("../driver").XCUITestDriver, encoding?: string): Promise<string>;
}
export default _default;
export type XCUITestDriver = import('../driver').XCUITestDriver;
//# sourceMappingURL=pasteboard.d.ts.map