declare namespace _default {
    /**
     * Proxies a command to WebDriverAgent
     * @template [TReq=any]
     * @template [TRes=unknown]
     * @param {string} url
     * @param {AllowedHttpMethod} method
     * @param {TReq} [body]
     * @param {boolean} isSessionCommand
     * @this {import('../driver').XCUITestDriver}
     * @returns {Promise<TRes>}
     */
    function proxyCommand<TReq = any, TRes = unknown>(this: import("../driver").XCUITestDriver, url: string, method: AllowedHttpMethod, body?: TReq | undefined, isSessionCommand?: boolean): Promise<TRes>;
}
export default _default;
export type XCUITestDriver = import('../driver').XCUITestDriver;
export type AllowedHttpMethod = 'GET' | 'POST' | 'DELETE';
//# sourceMappingURL=proxy-helper.d.ts.map