declare namespace _default {
    /**
     * @this {XCUITestDriver}
     */
    function getPageSource(this: import("../driver").XCUITestDriver): Promise<any>;
    /**
     * Retrieve the source tree of the current page in XML or JSON format.
     *
     * @param {import('./types').SourceFormat} format - Page tree source representation format.
     * @param {string} [excludedAttributes] A comma-separated string of attribute names to exclude from the output. Only works if `format` is `xml`.
     * @privateRemarks Why isn't `excludedAttributes` an array?
     * @returns {Promise<string>} The source tree of the current page in the given format.
     * @this {XCUITestDriver}
     */
    function mobileGetSource(this: import("../driver").XCUITestDriver, format?: import("./types").SourceFormat, excludedAttributes?: string | undefined): Promise<string>;
}
export default _default;
export type XCUITestDriver = import('../driver').XCUITestDriver;
//# sourceMappingURL=source.d.ts.map