export default IOSCrashLog;
export type LogRecord = {
    timestamp: number;
    level: string;
    message: string;
};
/**
 * @typedef {Object} LogRecord
 * @property {number} timestamp
 * @property {string} level
 * @property {string} message
 */
export class IOSCrashLog {
    constructor(opts?: {});
    udid: any;
    pyideviceClient: Pyidevice | null;
    logDir: string;
    prevLogs: any[];
    logsSinceLastRequest: any[];
    phoneName: any;
    sim: any;
    /**
     * @returns {Promise<string[]>}
     */
    _gatherFromRealDevice(): Promise<string[]>;
    /**
     * @returns {Promise<string[]>}
     */
    _gatherFromSimulator(): Promise<string[]>;
    /**
     * @returns {Promise<string[]>}
     */
    getCrashes(): Promise<string[]>;
    /**
     * @returns {Promise<void>}
     */
    startCapture(): Promise<void>;
    /**
     * @returns {Promise<void>}
     */
    stopCapture(): Promise<void>;
    /**
     * @returns {Promise<LogRecord[]>}
     */
    getLogs(): Promise<LogRecord[]>;
    /**
     * @returns {Promise<LogRecord[]>}
     */
    getAllLogs(): Promise<LogRecord[]>;
    /**
     * @param {string[]} paths
     * @returns {Promise<LogRecord[]>}
     */
    filesToJSON(paths: string[]): Promise<LogRecord[]>;
}
import Pyidevice from '../py-ios-device-client';
//# sourceMappingURL=ios-crash-log.d.ts.map