export default Pyidevice;
export class Pyidevice {
    /**
     * @param {string} udid
     */
    constructor(udid: string);
    udid: string;
    binaryPath: string | null;
    /**
     * @param {boolean} isStrict
     * @return {Promise<boolean>}
     */
    assertExists(isStrict?: boolean): Promise<boolean>;
    /**
     * @typedef {Object} ExecuteOptions
     * @property {string} cwd
     * @property {string?} format [json]
     * @property {boolean} logStdout [false]
     * @property {boolean} asynchronous [false]
     */
    /**
     * @param {string[]} args
     * @param {Partial<ExecuteOptions>} opts
     * @return {Promise<import('teen_process').TeenProcessExecResult|import('teen_process').SubProcess>}
     */
    execute(args: string[], opts?: Partial<{
        cwd: string;
        /**
         * [json]
         */
        format: string | null;
        /**
         * [false]
         */
        logStdout: boolean;
        /**
         * [false]
         */
        asynchronous: boolean;
    }>): Promise<import("teen_process").TeenProcessExecResult<any> | import('teen_process').SubProcess>;
    /**
     * @return {Promise<object>}
     */
    listProfiles(): Promise<object>;
    /**
     *
     * @param { {profilePath?: string, payload: string|Buffer} } opts
     * @privateRemarks The error below seems to suggest that `payload` can be undefined, but the code suggests otherwise
     */
    installProfile(opts: {
        profilePath?: string;
        payload: string | Buffer;
    }): Promise<void>;
    /**
     *
     * @param {string} name
     * @returns {Promise<string>}
     */
    removeProfile(name: string): Promise<string>;
    /**
     * @returns {Promise<object>}
     */
    listCrashes(): Promise<object>;
    /**
     * @param {string} name
     * @param {string} dstFolder
     * @returns {Promise<void>}
     */
    exportCrash(name: string, dstFolder: string): Promise<void>;
    /**
     * @param {string} dstFile
     */
    collectPcap(dstFile: string): Promise<SubProcess | import("teen_process").TeenProcessExecResult<any>>;
}
import { SubProcess } from 'teen_process';
//# sourceMappingURL=py-ios-device-client.d.ts.map